## kbruch 17.08.3

=== debian/changelog ===
kbruch (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:28:58 +0800

kbruch (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kbruch.install, and not-installed, no more useful now

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 11:06:48 +0100

kbruch (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:18 +0200

kbruch (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:59:44 +0000

kbruch (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:33:31 +0000

kbruch (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:19:48 +0000

kbruch (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:49 +0000

kbruch (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:13:43 +0000

kbruch (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:17 +0000

kbruch (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:24 +0000

kbruch (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:09 +0000

kbruch (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:57 +0000

kbruch (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:25:34 +0000

kbruch (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:38 +0000

kbruch (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:19 +0000

kbruch (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:40 +0000

kbruch (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:44 +0000

kbruch (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:05 +0000

kbruch (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:50 +0000

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkf5config-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5widgetsaddons-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kbruch.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kbruch-dbg (<= 4:15.12.1-1~~)'

## kbruch 17.12.3

=== src/CMakeLists.txt ===
add_subdirectory( pics ) 

########### next target ###############

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(kbruch_SRCS
   PrimeFactorsLineEdit.cpp
   ExerciseBase.cpp
   Task.cpp
   Ratio.cpp
   TaskView.cpp
   StatisticsView.cpp
   PrimeNumber.cpp
   KBruch.cpp
   MainQtWidget.cpp
   TaskWidget.cpp
   FractionBaseWidget.cpp
   ResultWidget.cpp
   ExerciseCompare.cpp
   ExercisePercentage.cpp
   ExerciseMixedNumbers.cpp
   RatioWidget.cpp
   RationalWidget.cpp
   ExerciseConvert.cpp
   StatisticsBarWidget.cpp
   ExerciseFactorize.cpp
   AppMenuWidget.cpp
   FractionPainter.cpp
   FractionRingWidget.cpp )

ki18n_wrap_ui(kbruch_SRCS taskcolorsbase.ui taskfontsbase.ui)

kconfig_add_kcfg_files(kbruch_SRCS settingsclass.kcfgc )

add_executable(kbruch ${kbruch_SRCS})

target_link_libraries(kbruch
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::Crash
    KF5::I18n
    KF5::WidgetsAddons
    KF5::XmlGui
)

install(TARGETS kbruch  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.kbruch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES kbruch.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES kbruchui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
install( FILES AppMenuWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
install( FILES FractionRingWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )

ecm_install_icons( ICONS 16-apps-kbruch.png 22-apps-kbruch.png 32-apps-kbruch.png 48-apps-kbruch.png 64-apps-kbruch.png sc-apps-kbruch.svgz DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== debian/changelog ===
kbruch (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:54 +0000

kbruch (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:56:25 +0000

kbruch (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:03:27 +0000

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kbruch-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kbruch-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kbruch-([\d.]+).tar.xz

## kbruch 18.04.3

=== debian/changelog ===
kbruch (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch

## kbruch 18.12.3

=== debian/changelog ===
kbruch (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:50 +0000

kbruch (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:14:12 +0000

kbruch (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:09:22 +0000

kbruch (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:58 +0000

kbruch (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 10:12:00 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kbruch-dbg (<= 4:15.12.1-1~~)'

## kbruch 19.04.3

=== debian/changelog ===
kbruch (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:12:29 +0100

kbruch (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:03:07 +0100

kbruch (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:56:28 +0100

kbruch (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:53 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkf5config-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.15~),
               libkf5i18n-dev (>= 5.15~),
               libkf5widgetsaddons-dev (>= 5.15~),
               libkf5xmlgui-dev (>= 5.15~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

## kbruch 19.12.0

=== debian/changelog ===
kbruch (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt to 5.9.0
    - bump KF packages to 5.46.0
    - explicitly add gettext
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Stop installing TODO as documentation, as it is not useful for users.
  * Drop the migration from kbruch-dbg, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jan 2020 07:39:56 +0100

## kbruch 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kbruch VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.46.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(ECMInstallIcons)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  Config
  Crash
  DocTools
  I18n
  WidgetsAddons
  XmlGui
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
kde_enable_exceptions()
# use sane compile flags
add_definitions(
  -DQT_NO_URL_CAST_FROM_STRING
)

if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_subdirectory( doc )
add_subdirectory( src )

install(FILES org.kde.kbruch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 add_subdirectory( pics ) 
 
 ########### next target ###############
+
+ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KBRUCH VERSION_HEADER kbruch_version.h)
 
 include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

=== debian/changelog ===
kbruch (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:07:24 +0000

kbruch (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:18:19 +0000

kbruch (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:52:19 +0000

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5config-dev (>= 5.46.0~),
               libkf5crash-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbruch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbruch.git

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

## kbruch 20.08.1

=== debian/changelog ===
kbruch (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:51:13 +0100

kbruch (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:44:55 +0100

kbruch (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:35:33 +0100

kbruch (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:13:05 +0100

kbruch (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:33:41 +0100

kbruch (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Stop installing NEWS, and README as documentation, as both files are
    basically empty stubs pointing elsewhere.

 -- Pino Toscano <pino@debian.org>  Fri, 01 May 2020 21:49:54 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.46.0~),
                gettext,
                libkf5config-dev (>= 5.46.0~),
@@ -17,7 +17,7 @@
                libkf5xmlgui-dev (>= 5.46.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbruch
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbruch.git

## kbruch 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbruch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.46.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
include(ECMInstallIcons)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  Config
  Crash
  DocTools
  I18n
  WidgetsAddons
  XmlGui
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
kde_enable_exceptions()
# use sane compile flags
add_definitions(
  -DQT_NO_URL_CAST_FROM_STRING
)

if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()


add_subdirectory( doc )
add_subdirectory( src )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.kbruch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kbruch (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Build with hardening=+all build hardening flag.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Borrow mimimal upstream signing key from k3b.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Bump debhelper compatibility level to 13.
  * Update project homepage.
  * Set Rules-Requires-Root: no in control file.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Dec 2020 00:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.46.0~),
                gettext,
                libkf5config-dev (>= 5.46.0~),
@@ -17,18 +17,17 @@
                libkf5xmlgui-dev (>= 5.46.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/kde/kdeedu/kbruch
+Standards-Version: 4.5.1
+Homepage: https://apps.kde.org/en/kbruch
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbruch
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbruch.git
+Rules-Requires-Root: no
 
 Package: kbruch
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: fraction learning aid for KDE
  KBruch is an aid for learning how to calculate with fractions.
  .

## kbruch 20.12.3

=== debian/changelog ===
kbruch (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:17:38 +0000

kbruch (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:52:00 +0000

kbruch (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:08:32 +0000

## kbruch 21.08.0

=== debian/changelog ===
kbruch (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:53:04 +0900

kbruch (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 16:54:45 +0900

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libkf5config-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/kbruch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbruch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbruch.git
Rules-Requires-Root: no

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

## kbruch 21.08.1

=== debian/changelog ===
kbruch (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:53 +0100

kbruch (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:13 +0100

kbruch (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:04 +0100

kbruch (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:15 +0100

kbruch (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:06 +0100

kbruch (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:37:34 +0100

kbruch (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:15 +0100

kbruch (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:32:52 +0100

## kbruch 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kbruch VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.46.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
@@ -22,6 +22,7 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
   Config
+  CoreAddons
   Crash
   DocTools
   I18n
@@ -41,12 +42,6 @@
   -DQT_NO_URL_CAST_FROM_STRING
 )
 
-if (${KF5Config_VERSION} STRGREATER "5.56.0")
-        add_definitions(-DQT_NO_FOREACH)
-        MESSAGE(STATUS "compile without foreach")
-endif()
-
-
 add_subdirectory( doc )
 add_subdirectory( src )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 ########### next target ###############
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KBRUCH VERSION_HEADER kbruch_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KBRUCH VERSION_HEADER kbruch_version.h)
 
 include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
 
@@ -40,6 +40,7 @@
 target_link_libraries(kbruch
     KF5::ConfigCore
     KF5::ConfigGui
+    KF5::CoreAddons
     KF5::Crash
     KF5::I18n
     KF5::WidgetsAddons

=== debian/changelog ===
kbruch (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:08:28 +0000

kbruch (4:21.12.2a-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:57 +0000

kbruch (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:22:47 +0000

kbruch (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:19:46 +0000

kbruch (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:03:57 +0000

kbruch (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:08 +0000

kbruch (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:22 +0000

kbruch (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:10 +0000

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5config-dev (>= 5.46.0~),
               libkf5crash-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/kbruch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Rules-Requires-Root: no

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

## kbruch 22.08.1

=== debian/changelog ===
kbruch (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:55 +0100

kbruch (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:03 +0100

kbruch (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:25:26 +0100

kbruch (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:59:21 +0100

kbruch (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:56:38 +0100

kbruch (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:45:51 +0100

## kbruch 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbruch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.90.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  Config
  CoreAddons
  Crash
  I18n
  WidgetsAddons
  XmlGui
)

find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050c00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)


kde_enable_exceptions()

add_subdirectory( src )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

install(FILES org.kde.kbruch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,8 +54,8 @@
 
 install( PROGRAMS org.kde.kbruch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
 install( FILES kbruch.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
-install( FILES kbruchui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
-install( FILES AppMenuWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
-install( FILES FractionRingWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbruch )
+install( FILES kbruchui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/kbruch )
+install( FILES AppMenuWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/kbruch )
+install( FILES FractionRingWidgetui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUIDIR}/kbruch )
 
-ecm_install_icons( ICONS 16-apps-kbruch.png 22-apps-kbruch.png 32-apps-kbruch.png 48-apps-kbruch.png 64-apps-kbruch.png sc-apps-kbruch.svgz DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )
+ecm_install_icons( ICONS 16-apps-kbruch.png 22-apps-kbruch.png 32-apps-kbruch.png 48-apps-kbruch.png 64-apps-kbruch.png 128-apps-kbruch.png sc-apps-kbruch.svgz DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== debian/changelog ===
kbruch (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:47 +0100

kbruch (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:34:10 +0100

kbruch (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:31 +0100

kbruch (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:51 +0100

kbruch (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - add libkf5coreaddons-dev

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 17:39:02 +0100

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kbruch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbruch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbruch.git
Rules-Requires-Root: no

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.

## kbruch 23.08.0

=== debian/changelog ===
kbruch (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:52:04 +0100

kbruch (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:32:00 +0100

kbruch (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:44:31 +0100

kbruch (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:20 +0100

kbruch (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:08 +0000

kbruch (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:13:38 -0600

kbruch (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:13:03 +0000

kbruch (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 12:35:02 +0000

kbruch (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:08 +0000

kbruch (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:03:32 +0000

kbruch (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:49:02 +0000

kbruch (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:07:04 +0000

## kbruch 23.08.1

=== debian/changelog ===
kbruch (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:10 +0100

## kbruch 23.08.4

=== debian/changelog ===
kbruch (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:24 +0000

kbruch (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:32:48 +0000

kbruch (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:29:05 +0100

## kbruch 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbruch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.92.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(FeatureSummary)


find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
  Core
  Widgets
)

find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED
  Config
  CoreAddons
  Crash
  I18n
  WidgetsAddons
  XmlGui
)

find_package(KF${KF_MAJOR_VERSION}DocTools ${KF5_MIN_VERSION})
set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.101.0)

kde_enable_exceptions()

add_subdirectory( src )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

install(FILES org.kde.kbruch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,13 +38,13 @@
 add_executable(kbruch ${kbruch_SRCS})
 
 target_link_libraries(kbruch
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::CoreAddons
-    KF5::Crash
-    KF5::I18n
-    KF5::WidgetsAddons
-    KF5::XmlGui
+    KF${KF_MAJOR_VERSION}::ConfigCore
+    KF${KF_MAJOR_VERSION}::ConfigGui
+    KF${KF_MAJOR_VERSION}::CoreAddons
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::WidgetsAddons
+    KF${KF_MAJOR_VERSION}::XmlGui
 )
 
 install(TARGETS kbruch  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kbruch (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:40:49 +0200

kbruch (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:02:17 +0000

kbruch (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:45:08 +0000

kbruch (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:38:53 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kbruch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -18,17 +19,17 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/kbruch
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbruch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbruch.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
 Rules-Requires-Root: no
 
 Package: kbruch
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: khelpcenter,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: khelpcenter
 Description: fraction learning aid for KDE
  KBruch is an aid for learning how to calculate with fractions.
  .

## kbruch 24.08.2

=== debian/changelog ===
kbruch (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:53:18 -0500

kbruch (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 21:33:49 -0500

=== debian/control ===
Source: kbruch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/kbruch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbruch
Rules-Requires-Root: no

Package: kbruch
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: fraction learning aid for KDE
 KBruch is an aid for learning how to calculate with fractions.
 .
 This package is part of the KDE education module.
